package com.qmth.sop.business.bean.query;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.enums.RoleTypeEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description:
 * @Author: CaoZixuan
 * @Date:
 */
public class UserArchivesQuery {
    @ApiModelProperty("城市")
    private String city;

    @ApiModelProperty("供应商")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long supplierId;

    @ApiModelProperty("档案名")
    private String archivesName;

    @ApiModelProperty("角色类型")
    private RoleTypeEnum roleType;

    @ApiModelProperty("认证状态")
    private Boolean authenticationStatus;

    @ApiModelProperty("入档时间 - 起始")
    private Long archivesTimeStart;

    @ApiModelProperty("入档时间 - 截止")
    private Long archivesTimeEnd;

    @ApiModelProperty("有效期")
    private Integer remainValidDay;

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getArchivesName() {
        return archivesName;
    }

    public void setArchivesName(String archivesName) {
        this.archivesName = archivesName;
    }

    public RoleTypeEnum getRoleType() {
        return roleType;
    }

    public void setRoleType(RoleTypeEnum roleType) {
        this.roleType = roleType;
    }

    public Boolean getAuthenticationStatus() {
        return authenticationStatus;
    }

    public void setAuthenticationStatus(Boolean authenticationStatus) {
        this.authenticationStatus = authenticationStatus;
    }

    public Long getArchivesTimeStart() {
        return archivesTimeStart;
    }

    public void setArchivesTimeStart(Long archivesTimeStart) {
        this.archivesTimeStart = archivesTimeStart;
    }

    public Long getArchivesTimeEnd() {
        return archivesTimeEnd;
    }

    public void setArchivesTimeEnd(Long archivesTimeEnd) {
        this.archivesTimeEnd = archivesTimeEnd;
    }

    public Integer getRemainValidDay() {
        return remainValidDay;
    }

    public void setRemainValidDay(Integer remainValidDay) {
        this.remainValidDay = remainValidDay;
    }
}
